package cn.com.countrygarden.bi.main.dto.advise.param;

import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;

import java.util.Date;
import java.util.List;

public class AdviseFeedbackParam {
	/**
	 * 建言类型id
	 */
	private Integer adviseTypeId;
	private Integer isPrivate;
	private String organCode;
	private Date startTime;
	/**
	 * 是否超时（0:否，1：是)
	 */
	private Integer isTimeout;

	/**
	 * 上报开始时间
	 */
	private Date reportStartTime;
	/**
	 * 上报结束时间
	 */
	private Date reportEndTime;
	/**
	 * 发布开始时间
	 */
	private Date publishStartTime;
	/**
	 * 发布结束时间
	 */
	private Date publishEndTime;
	/**
	 * 是否拥有某个角色（falae:无角色）
	 */
	private Boolean isRole;

	private  Integer state;
	
	/**
	 * 建言-区域管理员(true:是，false:否)
	 */
	private Boolean regionAdminRole;
	/**
	 * 建言-系统管理员(true:是，false:否)
	 */
	private Boolean systemAdminRole;
	/**
	 * 建言-超级管理员(true:是，false:否)
	 */
	private Boolean superAdminRole;
	/**
	 * 建言-类型管理员(true:是，false:否)
	 */

	private  Boolean typeAdminRole;
	/**
	 * 建言-类型管理员关联的建言类型集合
	 */
	private List<Integer> typeAdminAdviseTypeId;
	/**
	 * 建言-总部管理员(true:是，false:否)
	 */
	private Boolean  headquartersAdminRole;

	/**
	 * 登录用户的编号
	 */
	private String userCode;

	private  String branchTypeCode;
	/**
	 * 登录用户所属的区域
	 */
	private List<RegionListVO> regionList;

	/**
	 * 建言处理节点最后一个的节点类型
	 */
	private  Integer noticeEndType;
	public Integer getAdviseTypeId() {
		return adviseTypeId;
	}

	public void setAdviseTypeId(Integer adviseTypeId) {
		this.adviseTypeId = adviseTypeId;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Integer getIsTimeout() {
		return isTimeout;
	}

	public void setIsTimeout(Integer isTimeout) {
		this.isTimeout = isTimeout;
	}

	public Date getReportStartTime() {
		return reportStartTime;
	}

	public void setReportStartTime(Date reportStartTime) {
		this.reportStartTime = reportStartTime;
	}

	public Date getReportEndTime() {
		return reportEndTime;
	}

	public void setReportEndTime(Date reportEndTime) {
		this.reportEndTime = reportEndTime;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public Boolean getRegionAdminRole() {
		return regionAdminRole;
	}

	public void setRegionAdminRole(Boolean regionAdminRole) {
		this.regionAdminRole = regionAdminRole;
	}

	public Boolean getSystemAdminRole() {
		return systemAdminRole;
	}

	public void setSystemAdminRole(Boolean systemAdminRole) {
		this.systemAdminRole = systemAdminRole;
	}

	public Boolean getRole() {
		return isRole;
	}

	public void setRole(Boolean role) {
		isRole = role;
	}

	public Boolean getSuperAdminRole() {
		return superAdminRole;
	}

	public void setSuperAdminRole(Boolean superAdminRole) {
		this.superAdminRole = superAdminRole;
	}

	public Integer getNoticeEndType() {
		return noticeEndType;
	}

	public void setNoticeEndType(Integer noticeEndType) {
		this.noticeEndType = noticeEndType;
	}

	public Boolean getTypeAdminRole() {
		return typeAdminRole;
	}

	public void setTypeAdminRole(Boolean typeAdminRole) {
		this.typeAdminRole = typeAdminRole;
	}

	public Boolean getHeadquartersAdminRole() {
		return headquartersAdminRole;
	}

	public void setHeadquartersAdminRole(Boolean headquartersAdminRole) {
		this.headquartersAdminRole = headquartersAdminRole;
	}

	public List<RegionListVO> getRegionList() {
		return regionList;
	}

	public void setRegionList(List<RegionListVO> regionList) {
		this.regionList = regionList;
	}

	public Date getPublishStartTime() {
		return publishStartTime;
	}

	public void setPublishStartTime(Date publishStartTime) {
		this.publishStartTime = publishStartTime;
	}

	public Date getPublishEndTime() {
		return publishEndTime;
	}

	public void setPublishEndTime(Date publishEndTime) {
		this.publishEndTime = publishEndTime;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public Integer getIsPrivate() {
		return isPrivate;
	}

	public void setIsPrivate(Integer isPrivate) {
		this.isPrivate = isPrivate;
	}

	public String getOrganCode() {
		return organCode;
	}

	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}

	public String getBranchTypeCode() {
		return branchTypeCode;
	}

	public void setBranchTypeCode(String branchTypeCode) {
		this.branchTypeCode = branchTypeCode;
	}

	public List<Integer> getTypeAdminAdviseTypeId() {
		return typeAdminAdviseTypeId;
	}

	public void setTypeAdminAdviseTypeId(List<Integer> typeAdminAdviseTypeId) {
		this.typeAdminAdviseTypeId = typeAdminAdviseTypeId;
	}
}
